@extends('install.layout')

@section('content')
    <h3>@lang('installer.requirements_title')</h3>
    <p>@lang('installer.requirements_intro')</p>

    <div class="row" style="margin-top: 30px;">
        <div class="col-md-8 col-md-offset-2">
            <table class="table table-striped">
                <tbody>
                    <tr>
                        <td><b>@lang('installer.php_modules.heading')</b></td>
                        <td style="width: 15%;"></td>
                    </tr>
                @foreach ($required_modules as $key => $value)
                    <tr>
                        <td>@lang($value)</td>
                        <td><i class="fa fa-fw fa-{{ (in_array($key, $available_modules) && $available_modules[$key]) ? 'check text-success' : 'times text-danger' }}"></i></td>
                    </tr>
                @endforeach
                    <tr>
                        <td colspan="2"><b>@lang('installer.php_config.heading')</b></td>
                    </tr>
                    <tr>
                        <td>
                            @lang('installer.php_config.upload_limit')
                            @if ($upload_limit_warning)
                                <br/><span class="text-warning">@lang('installer.php_config.upload_limit_warning', ['size' => $recommended_minimum_upload, 'units' => trans('global.units.megabytes')])</span>
                            @endif
                        </td>
                        <td>
                            {{ $upload_limit }} @lang('global.units.megabytes')
                            @if ($upload_limit_warning)
                                <i class="fa fa-fw fa-warning text-warning"></i>
                            @else
                                <i class="fa fa-fw fa-check text-success"></i>
                            @endif
                        </td>
                    </tr>
                    <tr>
                        <td>
                            @lang('installer.php_config.post_max_size')
                            @if ($post_max_size_warning)
                                <br/><span class="text-warning">@lang('installer.php_config.post_max_size_warning', ['size' => $recommended_minimum_upload, 'units' => trans('global.units.megabytes')])</span>
                            @endif
                            @if ($post_max_size <= $upload_limit )
                                <br/><span class="text-warning">@lang('installer.php_config.post_max_size_upload_limit_warning')</span>
                            @endif
                        </td>
                        <td>
                            {{ $post_max_size }} @lang('global.units.megabytes')
                            @if ($post_max_size_warning)
                                <i class="fa fa-fw fa-warning text-warning"></i>
                            @else
                                <i class="fa fa-fw fa-check text-success"></i>
                            @endif
                        </td>
                    </tr>
                </tbody>
            </table>

            @if ($can_continue)
                <div class="text-right">
                    <form action="{{ route('install.check') }}" method="post">
                        {{ csrf_field() }}
                        <button type="submit" class="btn btn-success">@lang('forms.continue_action')</button>
                    </form>
                </div>
            @endif
        </div>
    </div>
@endsection