@extends('themes.base.layout')
@section('title', trans('admin.storage_title'))

@section('breadcrumb')
    <div class="breadcrumb">
        <div class="container">
            <ol class="breadcrumb">
                <li><a href="{{ route('home') }}">@lang('navigation.breadcrumb.home')</a></li>
                <li><a href="{{ route('admin') }}">@lang('navigation.breadcrumb.admin')</a></li>
                <li class="active">@lang('navigation.breadcrumb.storage')</li>
            </ol>
        </div>
    </div>
@endsection

@section('content')
    <div class="container">
        <div class="row">
            <div class="col-xs-12">
                @if (count($storageLocations) == 0)
                    <div class="text-center">
                        <h4 class="text-danger"><b>@lang('admin.no_storages_title')</b></h4>
                        <p>@lang('admin.no_storages_text')</p>
                        <p>@lang('admin.no_storages_text2')</p>
                        <p style="margin-top: 40px;">
                            <a href="{{ route('storage.create') }}" class="btn btn-lg btn-success">@lang('admin.create_storage')</a>
                        </p>
                    </div>
                @else
                    <table class="table table-hover table-striped">
                        <tbody>
                        @foreach ($storageLocations as $storage)
                            <tr>
                                <td>
                                    <span style="font-size: 1.3em;">{{ $storage->name }}@if ($storage->is_default) <i class="fa fa-fw fa-check text-success"></i>@endif</span><br/>
                                    {{ $storage->location }}
                                </td>
                                <td class="text-right">
                                    <a href="{{ route('storage.edit', ['id' => $storage->id]) }}" class="btn btn-default">@lang('forms.edit_action')</a>
                                    <a href="{{ route('storage.delete', ['id' => $storage->id]) }}" class="btn btn-danger">@lang('forms.delete_action')</a>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>

                    <div class="text-center">
                        {{ $storageLocations->links() }}
                    </div>

                    <div class="pull-right" style="margin-top: 10px;">
                        <a href="{{ route('storage.create') }}" class="btn btn-success"><i class="fa fa-fw fa-plus"></i> @lang('admin.create_storage')</a>
                    </div>
                @endif
            </div>
        </div>
    </div>
@endsection