@extends('themes.base.layout')
@section('title', trans('admin.users_title'))

@section('breadcrumb')
    <div class="breadcrumb">
        <div class="container">
            <ol class="breadcrumb">
                <li><a href="{{ route('home') }}">@lang('navigation.breadcrumb.home')</a></li>
                <li><a href="{{ route('admin') }}">@lang('navigation.breadcrumb.admin')</a></li>
                <li class="active">@lang('navigation.breadcrumb.users')</li>
            </ol>
        </div>
    </div>
@endsection

@section('content')
    <div class="container">
        <div class="row">
            <div class="col-xs-12">
                <table class="table table-hover table-striped">
                    <tbody>
                    @foreach ($users as $user)
                        <tr>
                            <td>
                                <span style="font-size: 1.3em;">{{ $user->name }}@if ($user->is_admin) <i class="fa fa-fw fa-cog"></i>@endif</span><br/>
                                <a href="mailto:{{ $user->email }}">{{ $user->email }}</a>
                            </td>
                            <td>
                                @if (!$user->is_activated)
                                    <span style="font-style: italic; color: #888888;">@lang('admin.user_pending')</span>
                                @endif
                            </td>
                            <td class="text-right">
                                <a href="{{ route('user.edit', ['id' => $user->id]) }}" class="btn btn-default">@lang('forms.edit_action')</a>
                                <a href="{{ route('user.delete', ['id' => $user->id]) }}" class="btn btn-danger">@lang('forms.delete_action')</a>
                            </td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>

                <div class="text-center">
                    {{ $users->links() }}
                </div>

                <div class="pull-right" style="margin-top: 10px;">
                    <a href="{{ route('user.create') }}" class="btn btn-success"><i class="fa fa-fw fa-plus"></i> @lang('admin.create_user')</a>
                </div>
            </div>
        </div>
    </div>
@endsection